[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash] Warnings under g++ version 4

From: Tomas Groth
Subject: Re: [Gnash] Warnings under g++ version 4
Date: Thu, 9 Feb 2006 14:18:11 +0100 (CET)

Hi Erik,

> With C++ I usually find that warnings are well worth getting rid
> of. Would a patch that removes these warnings be accepted?

I'm pretty sure such a patch would be accepted.

> The other thing I would also like to do is add a --enable-gcc-werror
> option for the configure script. This would not be enabled by default,
> but when it is enabled would add a -Werror to the CXXFLAGS to turn
> all warnings into errors.

If you want to fix every warning this would proberbly be a nice feature. I
can't see that it would hurt in any way.

> Finally, it might be nice for developers if the script
> automatically configures with --enable-gcc-werror when the code
> is pulled out of CVS.
IMHO this might be too much, espcially since gnash ATM is only available via
CVS. But if we want to eleminate every warning then it could be a way to do it,
though personnally i think it would suck too much time, which could be used on
the real issues.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]